# MongoDB\BSON\PackedArray::offsetGet

(mongodb >=1.17.0)

MongoDB\BSON\PackedArray::offsetGet — Returns the value of an index in the array

### 说明

final public MongoDB\BSON\PackedArray::offsetGet(mixed `$key`): mixed

### 参数

`key`

  The index to retrieve from the array. Only int is supported.

### 返回值

Returns the value associated with the given index. If the index is not present in the array, an exception is thrown.

> 注意: When encountering a value encoded as 64-bit integer in the BSON array, the return value of this method will be a MongoDB\BSON\Int64 instance.

### 错误／异常

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\RuntimeException if the index is not present in the array.

### 参见

- ArrayAccess::offsetGet() - 获取一个偏移位置的值
- MongoDB\BSON\PackedArray::get() - Returns the value of an index in the array

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open